%define name	leif
%define version	0.7
%define release 2mdk

%define __libtoolize /bin/true

Name: 	 	%{name}
Summary: 	Accesses a Sony/Ericsson T68 mobile phone from KDE
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.tobias-bayer.de/en/leif.html
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext zlib-devel libpng-devel libjpeg-devel
BuildRequires:	libqt3-devel kdelibs-devel libarts-devel XFree86-devel
BuildRequires:	libezV24-devel libopenobex-devel
BuildRequires:	ImageMagick
Requires:	libbluez1

%description
Leif is a tool for managing your Sony/Ericsson T68/T68i mobile phone. It
supports phonebook editing, file uploading and sms management.

%prep
%setup -q
perl -p -i -e 's/openobex\/obex/obex/g' leif/*.h
perl -p -i -e 's/openobex\/obex/obex/g' leif/*.cpp

%build
%configure --program-prefix=""
#remove compound literal
perl -p -i -e 's/\-pedantic//g' leif/Makefile
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="Leif" \
longtitle="T68 mobile phone controller" \
section="Office/Communications/Phone"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 leif/leif.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 leif/leif.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 leif/leif.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog TODO
%{_bindir}/%name
%{_datadir}/applnk/Utilities/%name.desktop
%{_datadir}/doc/HTML/*/%name
%{_datadir}/icons/hicolor/*/apps/%name.png
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Mon Nov 17 2003 Austin Acton <aacton@yorku.ca> 0.7-1mdk
- 0.7
- convert icons

* Fri Nov 14 2003 Austin Acton <aacton@yorku.ca> 0.6-1mdk
- 0.6
- libtoolize

* Mon May 12 2003 Austin Acton <aacton@yorku.ca> 0.5-1mdk
- initial package

* Mon Apr 14 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- initial package
